---
title: Get Asset List
slug: fourkites-api-reference/get-asset-list
description: Learn how to use our API to retrieve a paginated list of tracking asset identifiers for a specific carrier. This document includes examples in various programming languages and explains the response structure, which includes page numbers, result counts, a
createdAt: 2023-04-14T05:24:02.000Z
---

This API returns the paginated list of tracking asset identifiers (Truck plate numbers, Trailer numbers, etc.,) for a given carrier.

:::hint{type="info"}
### Rate Limit

**5 requests per minute**
:::

:::hint{type="info"}
### Format Supported

**JSON**
:::

:::hint{type="info"}
### Authenticated Resource

API Key
:::

For more information on Authentication, [click here](https://docs.fourkites.com/api-reference/authentication).&#x20;

:::hint{type="warning"}
## List of GPS Providers Supported in Asset List API

- BigRoad
- BlueTree-VehicleName
- Rand McNally
- Fleetmatics
- Geotab
- GeotabGetFeed
- GeotabReseller
- IsaacInstruments
- JjKeller
- KeepTruckin
- LinxupV2
- Verizon
- TxtESolutions
- Peoplenet
- NexTraqMobileName
:::

:::ApiMethodV2
```json
{
  "name": "Production",
  "method": "GET",
  "url": "https://api.fourkites.com/carriers/asset-list",
  "description": "",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "Cvu3KpVHUkeX5owx8entW",
        "language": "curl",
        "code": "curl --request GET \\\n  --url https://api.fourkites.com/carriers/asset-list?carrierId=SOME_CARRIER_IDENTIFIER \\\n  --header 'apikey: REPLACE_KEY_VALUE'\n",
        "customLabel": ""
      },
      {
        "id": "ILiw1-EvVT9KG2PT7EGss",
        "language": "java",
        "code": "OkHttpClient client = new OkHttpClient().newBuilder()\n  .build();\nRequest request = new Request.Builder()\n  .url(\"https://api.fourkites.com/carriers/asset-list?carrierId=SOME_CARRIER_IDENTIFIER\")\n  .method(\"GET\", null)\n  .addHeader(\"apikey\", \"REPLACE_KEY_VALUE\")\n  .build();\nResponse response = client.newCall(request).execute();\n",
        "customLabel": ""
      },
      {
        "id": "TMiZLdfod2IvPlkNehLBR",
        "language": "javascript",
        "code": "var request = require('request');\nvar options = {\n  'method': 'GET',\n  'url': 'https://api.fourkites.com/carriers/asset-list?carrierId=CARRIER_IDENTIFIER',\n  'headers': {\n    'apikey': 'REPLACE_KEY_VALUE'\n  }\n};\nrequest(options, function (error, response) {\n  if (error) throw new Error(error);\n  console.log(response.body);\n});\n\n",
        "customLabel": ""
      },
      {
        "id": "V15ot9w76ucVB6Hp7E_eH",
        "language": "swift",
        "code": "import Foundation\nimport FoundationNetworking\n\nvar semaphore = DispatchSemaphore (value: 0)\n\nvar request = URLRequest(url: URL(string: \"https://api.fourkites.com/carriers/asset-list?carrierId=SOME_CARRIER_IDENTIFIER\")!,timeoutInterval: Double.infinity)\nrequest.addValue(\"REPLACE_KEY_VALUE\", forHTTPHeaderField: \"apikey\")\n\nrequest.httpMethod = \"GET\"\n\nlet task = URLSession.shared.dataTask(with: request) { data, response, error in \n  guard let data = data else {\n    print(String(describing: error))\n    semaphore.signal()\n    return\n  }\n  print(String(data: data, encoding: .utf8)!)\n  semaphore.signal()\n}\n\ntask.resume()\nsemaphore.wait()\n",
        "customLabel": ""
      },
      {
        "id": "47hqK4fjS8K26keQUb4m6",
        "language": "csharp",
        "code": "var client = new RestClient(\"https://api.fourkites.com/carriers/asset-list?carrierId=SOME_CARRIER_IDENTIFIER\");\nclient.Timeout = -1;\nvar request = new RestRequest(Method.GET);\nrequest.AddHeader(\"apikey\", \"REPLACE_KEY_VALUE\");\nIRestResponse response = client.Execute(request);\nConsole.WriteLine(response.Content);\n",
        "customLabel": ""
      },
      {
        "id": "fRV0_YkBaljY0bbUqviLe",
        "language": "go",
        "code": "package main\n\nimport (\n  \"fmt\"\n  \"net/http\"\n  \"io/ioutil\"\n)\n\nfunc main() {\n\n  url := \"https://api.fourkites.com/carriers/asset-list?carrierId=SOME_CARRIER_IDENTIFIER\"\n  method := \"GET\"\n\n  client := &http.Client {\n  }\n  req, err := http.NewRequest(method, url, nil)\n\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  req.Header.Add(\"apikey\", \"REPLACE_KEY_VALUE\")\n\n  res, err := client.Do(req)\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  defer res.Body.Close()\n\n  body, err := ioutil.ReadAll(res.Body)\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  fmt.Println(string(body))\n}\n",
        "customLabel": ""
      },
      {
        "id": "ulOL_arXpchRZZujsgSYF",
        "language": "ruby",
        "code": "require 'uri'\nrequire 'net/http'\nrequire 'openssl'\n\nurl = URI(\"https://api.fourkites.com/carriers/asset-list?carrierId=SOME_CARRIER_IDENTIFIER\")\n\nhttp = Net::HTTP.new(url.host, url.port)\nhttp.use_ssl = true\nhttp.verify_mode = OpenSSL::SSL::VERIFY_NONE\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"apikey\"] = 'REPLACE_KEY_VALUE'\n\nresponse = http.request(request)\nputs response.read_body\n",
        "customLabel": ""
      },
      {
        "id": "w0cr3g41hiW7dkXxFA5xX",
        "language": "python",
        "code": "import http.client\n\nconn = http.client.HTTPSConnection(\"api.fourkites.com\")\n\nheaders = { 'apikey': \"REPLACE_KEY_VALUE\" }\n\nconn.request(\"GET\", \"carriers/asset-list?carrierId=SOME_CARRIER_IDENTIFIER\", headers=headers)\n\nres = conn.getresponse()\ndata = res.read()\n\nprint(data.decode(\"utf-8\"))\n",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "Cvu3KpVHUkeX5owx8entW"
  },
  "results": {
    "languages": [
      {
        "id": "rASh5n4raHpimPMufcHcy",
        "language": "200",
        "customLabel": "",
        "code": "{\n    \"data\": {\n        \"page\": 1,\n        \"perPage\": 10,\n        \"totalCount\": 49,\n        \"assetList\": [\n            \"TRUCK_01\",\n            \"TRUCK_02\",\n            \"TRUCK_03\",\n            \"TRUCK_04\",\n            \"TRUCK_05\"\n        ]\n    },\n    \"requestId\": \"9d75a98b-9cb7-4e5f-abbf-71661632f3e2\"\n}\n"
      }
    ],
    "selectedLanguageId": "rASh5n4raHpimPMufcHcy"
  },
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "autoGeneratedAnchorSlug": "production",
  "legacyHash": "5xcDVHsWfhaX9GJoalc7_"
}
```
:::

:::ApiMethodV2
```json
{
  "name": "Staging",
  "method": "GET",
  "url": "https://api-staging.fourkites.com/carriers/asset-list",
  "description": "",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "Cvu3KpVHUkeX5owx8entW",
        "language": "curl",
        "code": "curl --request GET \\\n  --url https://api-staging.fourkites.com/carriers/asset-list?carrierId=SOME_CARRIER_IDENTIFIER \\\n  --header 'apikey: REPLACE_KEY_VALUE'\n",
        "customLabel": ""
      },
      {
        "id": "ILiw1-EvVT9KG2PT7EGss",
        "language": "java",
        "code": "OkHttpClient client = new OkHttpClient().newBuilder()\n  .build();\nRequest request = new Request.Builder()\n  .url(\"https://api.fourkites.com/carriers/asset-list?carrierId=SOME_CARRIER_IDENTIFIER\")\n  .method(\"GET\", null)\n  .addHeader(\"apikey\", \"REPLACE_KEY_VALUE\")\n  .build();\nResponse response = client.newCall(request).execute();\n",
        "customLabel": ""
      },
      {
        "id": "TMiZLdfod2IvPlkNehLBR",
        "language": "javascript",
        "code": "var request = require('request');\nvar options = {\n  'method': 'GET',\n  'url': 'https://api.fourkites.com/carriers/asset-list?carrierId=CARRIER_IDENTIFIER',\n  'headers': {\n    'apikey': 'REPLACE_KEY_VALUE'\n  }\n};\nrequest(options, function (error, response) {\n  if (error) throw new Error(error);\n  console.log(response.body);\n});\n\n",
        "customLabel": ""
      },
      {
        "id": "V15ot9w76ucVB6Hp7E_eH",
        "language": "swift",
        "code": "import Foundation\nimport FoundationNetworking\n\nvar semaphore = DispatchSemaphore (value: 0)\n\nvar request = URLRequest(url: URL(string: \"https://api.fourkites.com/carriers/asset-list?carrierId=SOME_CARRIER_IDENTIFIER\")!,timeoutInterval: Double.infinity)\nrequest.addValue(\"REPLACE_KEY_VALUE\", forHTTPHeaderField: \"apikey\")\n\nrequest.httpMethod = \"GET\"\n\nlet task = URLSession.shared.dataTask(with: request) { data, response, error in \n  guard let data = data else {\n    print(String(describing: error))\n    semaphore.signal()\n    return\n  }\n  print(String(data: data, encoding: .utf8)!)\n  semaphore.signal()\n}\n\ntask.resume()\nsemaphore.wait()\n",
        "customLabel": ""
      },
      {
        "id": "47hqK4fjS8K26keQUb4m6",
        "language": "csharp",
        "code": "var client = new RestClient(\"https://api.fourkites.com/carriers/asset-list?carrierId=SOME_CARRIER_IDENTIFIER\");\nclient.Timeout = -1;\nvar request = new RestRequest(Method.GET);\nrequest.AddHeader(\"apikey\", \"REPLACE_KEY_VALUE\");\nIRestResponse response = client.Execute(request);\nConsole.WriteLine(response.Content);\n",
        "customLabel": ""
      },
      {
        "id": "fRV0_YkBaljY0bbUqviLe",
        "language": "go",
        "code": "package main\n\nimport (\n  \"fmt\"\n  \"net/http\"\n  \"io/ioutil\"\n)\n\nfunc main() {\n\n  url := \"https://api.fourkites.com/carriers/asset-list?carrierId=SOME_CARRIER_IDENTIFIER\"\n  method := \"GET\"\n\n  client := &http.Client {\n  }\n  req, err := http.NewRequest(method, url, nil)\n\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  req.Header.Add(\"apikey\", \"REPLACE_KEY_VALUE\")\n\n  res, err := client.Do(req)\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  defer res.Body.Close()\n\n  body, err := ioutil.ReadAll(res.Body)\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  fmt.Println(string(body))\n}\n",
        "customLabel": ""
      },
      {
        "id": "ulOL_arXpchRZZujsgSYF",
        "language": "ruby",
        "code": "require 'uri'\nrequire 'net/http'\nrequire 'openssl'\n\nurl = URI(\"https://api.fourkites.com/carriers/asset-list?carrierId=SOME_CARRIER_IDENTIFIER\")\n\nhttp = Net::HTTP.new(url.host, url.port)\nhttp.use_ssl = true\nhttp.verify_mode = OpenSSL::SSL::VERIFY_NONE\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"apikey\"] = 'REPLACE_KEY_VALUE'\n\nresponse = http.request(request)\nputs response.read_body\n",
        "customLabel": ""
      },
      {
        "id": "w0cr3g41hiW7dkXxFA5xX",
        "language": "python",
        "code": "import http.client\n\nconn = http.client.HTTPSConnection(\"api.fourkites.com\")\n\nheaders = { 'apikey': \"REPLACE_KEY_VALUE\" }\n\nconn.request(\"GET\", \"carriers/asset-list?carrierId=SOME_CARRIER_IDENTIFIER\", headers=headers)\n\nres = conn.getresponse()\ndata = res.read()\n\nprint(data.decode(\"utf-8\"))\n",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "Cvu3KpVHUkeX5owx8entW"
  },
  "results": {
    "languages": [
      {
        "id": "rASh5n4raHpimPMufcHcy",
        "language": "200",
        "customLabel": "",
        "code": "{\n    \"data\": {\n        \"page\": 1,\n        \"perPage\": 10,\n        \"totalCount\": 49,\n        \"assetList\": [\n            \"TRUCK_01\",\n            \"TRUCK_02\",\n            \"TRUCK_03\",\n            \"TRUCK_04\",\n            \"TRUCK_05\"\n        ]\n    },\n    \"requestId\": \"9d75a98b-9cb7-4e5f-abbf-71661632f3e2\"\n}\n"
      }
    ],
    "selectedLanguageId": "rASh5n4raHpimPMufcHcy"
  },
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "autoGeneratedAnchorSlug": "staging",
  "legacyHash": "aXJntuGX-lkfWAj-H-l8A"
}
```
:::

### Request Attributes

| Name        | Param Type | Format  | Default   | Example | Description                                                                                                                                                      |
| ----------- | ---------- | ------- | --------- | ------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `page`      | Query      | Integer | 1         | 1       | Returns results associated with the given page number.                                                                                                           |
| `perPage`   | Query      | Integer | 10        | 10      | The maximum results to be returned by the List API. The minimum value is 1 and the maximum value is 100.                                                         |
| `carrierId` | Query      | String  | Mandatory | 2839853 | Denotes the unique carrier identifier which is essentially the scac that is specified in the network of the customer and the carrier in the FourKites® platform. |

### Response Attributes

| Name         | Format           | Description                                                                                                                                                                                                                              |
| ------------ | ---------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `data`       | NA               | The root element of the response.                                                                                                                                                                                                        |
| `page`       | Integer          | Returns results associated with the given page number.                                                                                                                                                                                   |
| `perPage`    | Integer          | The maximum results to be returned by the List API. The minimum value is 1 and the maximum value is 100.                                                                                                                                 |
| `assetList`  | Array of Strings | Contains the list of truck numbers that are tracked by the carrier specified in the request.                                                                                                                                             |
| `totalCount` | Integer          | The total count of results present across all pages.                                                                                                                                                                                     |
| `requestId`  | String           | Each API request has an associated request identifier. You can find this value in the response body, under requestId. If you need to contact us about a specific request, providing the request identifier will ensure quick resolution. |
